Page MenuHomePhabricator

SpecialPagesWithProp uses implicit join
Closed, ResolvedPublic

Description

In the getQueryInfo() of SpecialPagesWithProp.php, the 'page_id = pp_page' represents an implicit join, which are generally frowned upon and reportedly can return a cross-join under some circumstances in SQL Server.

This portion of the 'conds' should be reimplemented under a 'join_conds' section.


Version: 1.23.1
Severity: minor

Details

Reference
bz69083
Related Gerrit Patches:

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 3:32 AM
bzimport set Reference to bz69083.
bzimport added a subscriber: Unknown Object (MLST).
Krinkle added a subscriber: Krinkle.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 23 2015, 10:35 AM

Change 233202 had a related patch set uploaded (by Ricordisamoa):
SpecialPagesWithProp: convert implicit join into join_conds

https://gerrit.wikimedia.org/r/233202

Umherirrender closed this task as Resolved.Sep 13 2015, 9:10 AM
Umherirrender assigned this task to Ricordisamoa.
Umherirrender set Security to None.
Umherirrender removed a subscriber: wikibugs-l-list.

Change 233202 merged by jenkins-bot:
SpecialPagesWithProp: convert implicit join into join_conds

https://gerrit.wikimedia.org/r/233202